## perltidy 20011020

=== Makefile ===
# Sample Makefile to install perltidy and its man pages on a Unix system

# Step 1: edit BINDIR to reflect where you want to put perltidy
# This is fairly standard:
BINDIR	= /usr/local/bin

# Step 2: edit MANDIR to reflect where you want to put the man page, perltidy.1
# or comment out MANDIR to skip installing a man page.
# (Man pages can be found on the web at http://perltidy.sourceforge.net)
#
# Note: The value of MANDIR varies a lot, so be sure to check this.
MANDIR	= /usr/local/man/man1

# Step 3: Then become superuser (if necessary) and issue the command
# make install

PROGRAM	= perltidy
PROG2	= perl2web

install: $(PROGRAM)
	cp $(PROGRAM) $(BINDIR)/$(PROGRAM)
	chmod 755 $(BINDIR)/$(PROGRAM)
	if test -d $(MANDIR); then cp $(PROGRAM).1 $(MANDIR)/$(PROGRAM).1; \
	chmod 644 $(MANDIR)/$(PROGRAM).1; \
	fi
	if test -d $(MANDIR); then cp $(PROG2).1 $(MANDIR)/$(PROG2).1; \
	chmod 644 $(MANDIR)/$(PROG2).1; \
	fi

uninstall: 
	if test -d $(BINDIR); then rm -f $(BINDIR)/$(PROGRAM); fi
	if test -d $(MANDIR); then rm -f $(MANDIR)/$(PROGRAM).1; fi
	if test -d $(MANDIR); then rm -f $(MANDIR)/$(PROG2).1; fi

## perltidy 20140328

=== debian/changelog ===
perltidy (20140328-1) unstable; urgency=medium

  * New upstream release
    + Avoid creating perltidy.LOG file

 -- Don Armstrong <don@debian.org>  Mon, 07 Apr 2014 18:27:01 -0700

perltidy (20130922-1) unstable; urgency=medium

  * New upstream release (closes: #740559)
  * Update VCS location after switching to git
  * Fix insecure tmpfile creation (closes: #740670)

 -- Don Armstrong <don@debian.org>  Fri, 07 Mar 2014 18:18:01 -0800

perltidy (20120701-1) unstable; urgency=low

  * New upstream release (closes: #681368)
    + Don't munge contents of __DATA__ even when they
    look like POD (closes: #614288)
  * Switch to debhelper auto rules
  * Document VCS location

 -- Don Armstrong <don@debian.org>  Fri, 13 Jul 2012 16:50:35 -0700

perltidy (20101217-1) unstable; urgency=low

  * New upstream release (closes: #613417)

 -- Don Armstrong <don@debian.org>  Mon, 14 Feb 2011 15:10:43 -0800

perltidy (20090616-1) unstable; urgency=low

  * New upstream release
  * Update standards version; no changes
  * Bump dh_compat to 5
  * Promote homepage
  * Fix debian/copyright

 -- Don Armstrong <don@debian.org>  Tue, 23 Jun 2009 22:43:49 -0700

perltidy (20071205-2) unstable; urgency=low

  * Fix FTBFS on perl 5.10

 -- Don Armstrong <don@debian.org>  Mon, 25 Feb 2008 14:52:26 -0800

perltidy (20071205-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Tue, 18 Dec 2007 15:53:34 -0800

perltidy (20070801-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Mon, 20 Aug 2007 23:07:33 -0700

perltidy (20070508-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Tue,  1 May 2007 03:03:29 -0700

perltidy (20060719-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 28 Jul 2006 22:02:55 -0700

perltidy (20060614-1) unstable; urgency=low

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 23 Jun 2006 13:23:08 -0700

perltidy (20031021-2) unstable; urgency=low

  * New maintainer adopting this package (closes: #206884)
  * Modifications to packaging to make the package suitable for inclusion
    in debian. (closes: #162066)
  * Change Build-Depends to perl (>=5.6.0-16) as per perl policy
  * Add reference to -st and note that - doesn't mean stdout to -o
    documentation (closes: #202916) 
  * New upstream properly removes useless semi-colons (closes: #203171)

 -- Don Armstrong <don@donarmstrong.com>  Wed, 18 Aug 2004 22:54:01 -0700

perltidy (20031021-1) unstable; urgency=low

  * New upstream release

 -- Steve Hancock <perltidy@users.sourceforge.net>  Tue, 21 Oct 2003 20:50:49 -0700

perltidy (20030726-1) unstable; urgency=low

  * New upstream
  * Changed Build-Depends perl (>= 5.8.0-7) to perl (>=5.6.1-7)

 -- Steve Hancock <perltidy@users.sourceforge.net>  Sat, 26 Jul 2003 07:18:13 -0700

perltidy (20021130-1) unstable; urgency=low

  * New upstream
  * Redid all debian packaging from scratch

 -- Aubin Paul <aubin@punknews.org>  Sat, 30 Nov 2002 23:34:34 -0500

perltidy (20011020-1) unstable; urgency=low

  * New upstream release.
  * Don't install perl2web in the man dir, but only in the doc dir
  (closes: bug#113911, bug#103443, bug#101100).

 -- Paolo Molaro <lupus@debian.org>  Sun, 11 Nov 2001 15:38:40 +0100

perltidy (20010608-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (Closes: bug#100250).

 -- Paolo Molaro <lupus@debian.org>  Mon, 11 Jun 2001 11:54:54 +0200

perltidy (20010328-1) unstable; urgency=low

  * New upstream release.
  * Corrected upstream email address in copyright file and manpages.
  * Fixed lintian warning because of incorrect upstream changelog name.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 30 Mar 2001 10:57:12 +0200

perltidy (20010323-1) unstable; urgency=low

  * Initial Release; closes: #91927
  * Adjusted paths in Makefile and fixed $DESTDIR problems.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Tue, 27 Mar 2001 19:39:30 +0200

=== debian/control ===
Source: perltidy
Section: devel
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl
Standards-Version: 3.9.3
Homepage: http://perltidy.sourceforge.net/
Vcs-Git: http://git.donarmstrong.com/perltidy.git
Vcs-Browser: http://git.donarmstrong.com/perltidy.git


Package: perltidy
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Perl script indenter and reformatter
 Perltidy is a Perl script which indents and reformats Perl
 scripts to make them easier to read.
 .
 The formatting can be controlled with command line parameters.
 The default parameter settings approximately follow the
 suggestions in the Perl Style Guide.
 .
 Perltidy can also generate formatted HTML output from POD, and can
 even generate colored output in HTML for scripts. See examples at
 http://perltidy.sourceforge.net/
 .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installexamples: 
	dh_installexamples examples/*

## perltidy 20170521

=== debian/changelog ===
perltidy (20170521-1) unstable; urgency=medium

  * New upstream release
  * Die if an existing perltidy.ERR cannot be removed to block overwriting
    of arbitrary files by a symlink attack. (closes: #862667) Thanks to
    Jakub Wilk for identifying this issue.
  * Update standards version to 4.1.1; no changes

 -- Don Armstrong <don@debian.org>  Sun, 22 Oct 2017 10:18:21 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: perl
-Standards-Version: 3.9.3
+Standards-Version: 4.1.1
 Homepage: http://perltidy.sourceforge.net/
-Vcs-Git: http://git.donarmstrong.com/perltidy.git
-Vcs-Browser: http://git.donarmstrong.com/perltidy.git
+Vcs-Git: https://git.donarmstrong.com/perltidy.git
+Vcs-Browser: https://git.donarmstrong.com/perltidy.git
 
 
 Package: perltidy

## perltidy 20180220

=== debian/changelog ===
perltidy (20180220-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Sat, 11 Aug 2018 10:30:42 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: perl
 Standards-Version: 4.1.1
 Homepage: http://perltidy.sourceforge.net/

## perltidy 20190601

=== debian/changelog ===
perltidy (20190601-1) unstable; urgency=medium

  * New upstream version
  * Update to standards version 4.3.0
  * Update compat level to 12

 -- Don Armstrong <don@debian.org>  Fri, 16 Aug 2019 19:45:50 -0700

perltidy (20181120-1) unstable; urgency=medium

  [ Don Armstrong ]
  * update compat level to 11

  [ Philip Hands ]
  * New upstream version 20181120 (closes: #916653)

 -- Don Armstrong <don@debian.org>  Sat, 08 Jun 2019 14:57:29 -0700

## perltidy 20200110

=== debian/changelog ===
perltidy (20200110-1) unstable; urgency=medium

  * New upstream version

 -- Don Armstrong <don@debian.org>  Sun, 29 Mar 2020 16:48:22 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep: perl
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: http://perltidy.sourceforge.net/
-Vcs-Git: https://git.donarmstrong.com/perltidy.git
-Vcs-Browser: https://git.donarmstrong.com/perltidy.git
-
+Vcs-Git: https://salsa.debian.org/debian/perltidy.git
+Vcs-Browser: https://salsa.debian.org/debian/perltidy.git
 
 Package: perltidy
 Architecture: all

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2
http://search.cpan.org/CPAN/authors/id/S/SH/SHANCOCK/Perl-Tidy-(.+)\.tar\.gz

## perltidy 20210717

=== debian/changelog ===
perltidy (20210717-1) unstable; urgency=medium

  * New upstream version
  * Remove unnoecessary iso8859-1 character in Perl::Tidy::Tokenizer comment

 -- Don Armstrong <don@debian.org>  Sun, 24 Oct 2021 15:00:22 -0700

## perltidy 20220613

=== debian/changelog ===
perltidy (20220613-1) unstable; urgency=medium

  * New upstream version
     - Fixes UTF-8 issue with perl critic (closes: #998367)

 -- Don Armstrong <don@debian.org>  Wed, 27 Jul 2022 16:26:29 -0700

perltidy (20220217-1) unstable; urgency=medium

  * New upstream version (closes: #1011467)

 -- Don Armstrong <don@debian.org>  Tue, 24 May 2022 15:28:44 -0700

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=4
https://metacpan.org/release/Perl-Tidy   .*/Perl-Tidy-v?@ANY_VERSION@@ARCHIVE_EXT@$

## perltidy 20230309

=== debian/changelog ===
perltidy (20230309-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.6.1, no changes needed.

 -- Don Armstrong <don@debian.org>  Sat, 17 Jun 2023 15:46:40 -0700

perltidy (20230309-1) unstable; urgency=medium

  [ Don Armstrong ]
  * New upstream version
    - Includes patches for Object::Pad (closes: #1037462)
    - Remove obviated tokenizer patch

 -- Don Armstrong <don@debian.org>  Sat, 17 Jun 2023 15:21:02 -0700

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl
-Standards-Version: 4.3.0
-Homepage: http://perltidy.sourceforge.net/
+Standards-Version: 4.6.1
+Homepage: https://perltidy.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/perltidy.git
-Vcs-Browser: https://salsa.debian.org/debian/perltidy.git
+Vcs-Browser: https://salsa.debian.org/debian/perltidy
 
 Package: perltidy
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Perl script indenter and reformatter
  Perltidy is a Perl script which indents and reformats Perl
  scripts to make them easier to read.

## perltidy 20250105

=== debian/changelog ===
perltidy (20250105-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Sun, 05 Jan 2025 15:04:44 -0800

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installexamples:
	dh_installexamples examples/*
